Single Pixel Access
Geopysical Data Access

## Functions

uint | epr_get_pixel_as_uint (const EPR_SRaster *raster, int x, int y)
| This group of functions is for getting the values of the elements of a raster (i.e.
int | epr_get_pixel_as_int (const EPR_SRaster *raster, int x, int y)
float | epr_get_pixel_as_float (const EPR_SRaster *raster, int x, int y)
double | epr_get_pixel_as_double (const EPR_SRaster *raster, int x, int y)

## Detailed Description

## Function Documentation

## epr_get_pixel_as_uint()

uint epr_get_pixel_as_uint | ( | const EPR_SRaster * | raster,
|  | int | x,
|  | int | y )

This group of functions is for getting the values of the elements of a raster (i.e.

pixel) in a type-safe way.

Parameters

  raster | the raster which contains the pixel, must not be `NULL`
  x | the (zero-based) X coordinate of the pixel
  y | the (zero-based) Y coordinate of the pixel

Returns
  the typed value at the given coordinate.

## epr_get_pixel_as_int()

int epr_get_pixel_as_int | ( | const EPR_SRaster * | raster,
|  | int | x,
|  | int | y )

## epr_get_pixel_as_float()

float epr_get_pixel_as_float | ( | const EPR_SRaster * | raster,
|  | int | x,
|  | int | y )

## epr_get_pixel_as_double()

double epr_get_pixel_as_double | ( | const EPR_SRaster * | raster,
|  | int | x,
|  | int | y )